LibreOffice: XLabelRanges Interface Reference

LibreOffice LibreOffice 7.2 SDK API Reference

Public Member Functions | List of all members
XLabelRanges Interface Referencepublished

provides methods to access the members of a label range collection and to insert and remove them. More...

`import"XLabelRanges.idl";`

Inheritance diagram for XLabelRanges:

## Public Member Functions
void | addNew ([in] com::sun::star::table::CellRangeAddress aLabelArea, [in] com::sun::star::table::CellRangeAddress aDataArea)
| adds a new label range to the collection. More...
void | removeByIndex ([in] long nIndex)
| removes a label range from the collection. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides methods to access the members of a label range collection and to insert and remove them.

See also
  com::sun::star::sheet::LabelRanges
  com::sun::star::sheet::LabelRange

## Member Function Documentation

## ◆ addNew()

void addNew | ( | [in] com::sun::star::table::CellRangeAddress | aLabelArea,
|  | [in] com::sun::star::table::CellRangeAddress | aDataArea
| ) |  |

adds a new label range to the collection.

Parameters

  aLabelArea | the cell range containing the titles of the label range.
  aDataArea | the cell range containing the values of the label range.

## ◆ removeByIndex()

void removeByIndex | ( | [in] long | nIndex | ) |

removes a label range from the collection.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XLabelRanges.idl